%define module_version 0.009
%define module_name Net-IMP-Remote
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Errno.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/UNIX.pm) perl(Net/IMP.pm) perl(Net/IMP/Base.pm) perl(Net/IMP/Cascade.pm) perl(Net/IMP/Debug.pm) perl(Scalar/Util.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Storable.pm) perl(Test/More.pm) perl(base.pm) perl(fields.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: RPC Interface for External IMP Plugins
Group: Development/Perl
License: perl
URL: https://github.com/noxxi/p5-net-imp-remote

Source0: http://cpan.org.ua/authors/id/S/SU/SULLR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Net::IMP::Remote manpage works as a normal IMP analyzer, but sends all API calls to
a server process, which might be on the local or on a different machine.
Current implementation feature connection using UNIX domain sockets or TCP
sockets.

The RPC functionality is described in the Net::IMP::Remote::Protocol manpage.
the Net::IMP::Remote::Connection manpage implements interactions using the defined RPCs
over a flexible wire protocol. The default wire implementation using the
Storable library is done in the Net::IMP::Remote::Storable manpage. There is an
alternative implementation with the Sereal library in
the Net::IMP::Remote::Sereal manpage.
the Net::IMP::Remote::Client manpage and the Net::IMP::Remote::Server manpage implement the
client and server side of the connection, while the Net::IMP::Remote manpage finally
implements the usual IMP interface, so that this plugin can be used whereever
other IMP plugins can be used, although it's used best in data providers
offering an integration into their event loop.

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README TODO
%perl_vendor_privlib/N*

%changelog
* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- regenerated from template by package builder

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.007-alt1
- initial import by package builder

